//	ResourceManagerInit.cpp
//	----------------------------------------------------------------------------
//	File generated automatically by Niall's AVLib Resource Generator.
//	----------------------------------------------------------------------------

#include "ResourceManager.h"
#include "TextureAtlas.h"
#include "SingleImage.h"
#include "FilePath.h"
#include "Shader.h"
#include "Font.h"

#include "TailImage.h"
#include "AddNoise.h"
#include "MainAtlas.h"

//------------------------------------------------------------------------------
void ResourceManager::initialiseResources()
{
	registerSingleImage(shared_ptr<SingleImage>(new TailImage()));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"LeagueGothic-Regular.otf"), 140, L"ScoreFont")));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"LeagueGothic-Regular.otf"), 72, L"TickerFont")));
	registerShader(shared_ptr<Shader>(new AddNoise()));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new MainAtlas()));
}
